.container {
  @apply bg-primary text-white
    lg:flex
    lg:h-16
    lg:flex-row
    lg:items-center
    lg:gap-8
    lg:px-8;
}

.demoIconAndMobileItemsToggler {
  @apply flex
    h-16
    shrink-0
    items-center
    border-b
    border-neutral-200
    px-4
    dark:border-neutral-900
    lg:flex
    lg:h-full
    lg:items-center
    lg:border-0
    lg:px-0;
}

.demoIconWrapper {
  @apply h-[25px]
    flex-1  text-xl font-medium;
}

.navInteractionIcon {
  @apply size-6;
}

.sidebarItemTogglerLabel {
  @apply block
    cursor-pointer
    lg:hidden;
}

.main {
  @apply hidden
    flex-1
    flex-col
    lg:flex
    lg:flex-row
    lg:items-center;
}

.navItems {
  @apply flex
    flex-col
    gap-1
    border-b
    border-neutral-200
    p-4
    dark:border-neutral-900
    lg:flex-1
    lg:flex-row
    lg:border-0
    lg:p-0;
}

.actionsWrapper {
  @apply flex
    items-center
    gap-2
    border-b
    border-neutral-200
    p-4
    dark:border-neutral-900
    lg:border-0
    lg:p-0;
}

.ghIconWrapper {
  @apply size-9
    rounded-md
    p-2;

  svg {
    @apply fill-neutral-700
      dark:fill-neutral-300;
  }

  &:hover {
    @apply bg-neutral-100
      dark:bg-neutral-900;
  }
}
